/* Flexboxgrid by dualraum */
/*
max Breite: 1312px => 1344
kleiner   : 1084px
small     :  864px
*/

.r                        { max-width: 1344px; margin-left: auto; margin-right: auto; }
.full .r                  { max-width: none; }


.r, .flex {
  box-sizing: border-box;
  display: -ms-flexbox;
  display: -webkit-box;
  display: flex;
  -ms-flex: 0 1 auto;
  -webkit-box-flex: 0;
  flex: 0 1 auto;
  -ms-flex-direction: row;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  flex-direction: row;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.reverse  { -ms-flex-direction: row-reverse; -webkit-box-orient: horizontal; -webkit-box-direction: reverse; flex-direction: row-reverse; }


 .reverse .col {
  -ms-flex-direction: column-reverse;
  -webkit-box-orient: vertical;
  -webkit-box-direction: reverse;
  flex-direction: column-reverse;
}

.col-xs,
.col-xs-1,
.col-xs-1-5,
.col-xs-2,
.col-xs-3,
.col-xs-4,
.col-xs-5,
.col-xs-6,
.col-xs-7,
.col-xs-8,
.col-xs-9,
.col-xs-10,
.col-xs-11,
.col-xs-12 {
  box-sizing: border-box;
  -ms-flex: 0 0 auto;
  -webkit-box-flex: 0;
  flex: 0 0 auto;
  padding-right: 16px;
  padding-left: 16px;
}



.col-xs {
  -webkit-flex-grow: 1;
  -ms-flex-positive: 1;
  -webkit-box-flex: 1;
  flex-grow: 1;
  -ms-flex-preferred-size: 0;
  flex-basis: 0;
  max-width: 100%;
}

/*.col-xs-1 {
  -ms-flex-preferred-size: calc(100% / 12 * 1);
  flex-basis: calc(100% / 12 * 1);
  max-width: calc(100% / 12 * 1);
}*/

.col-xs-1 {
  -ms-flex-preferred-size: calc(100% / 12);
  flex-basis: calc(100% / 12);
  max-width: calc(100% / 12);
}

.col-xs-2 {
  -ms-flex-preferred-size: calc(100% / 12 * 2);
  flex-basis:  calc(100% / 12 * 2);
  max-width:  calc(100% / 12 * 2);
}

.col-xs-3 {
  -ms-flex-preferred-size: calc(100% / 12 * 3);
  flex-basis: calc(100% / 12 * 3);
  max-width: calc(100% / 12 * 3);
}

.col-xs-4 {
  -ms-flex-preferred-size: calc(100% / 12 * 4);
  flex-basis:  calc(100% / 12 * 4);
  max-width:  calc(100% / 12 * 4);
}

.col-xs-5 {
  -ms-flex-preferred-size: calc(100% / 12 * 5);
  flex-basis: calc(100% / 12 * 5);
  max-width: calc(100% / 12 * 5);
}

.col-xs-6 {
  -ms-flex-preferred-size: calc(100% / 12 * 6);
  flex-basis: calc(100% / 12 * 6);
  max-width: calc(100% / 12 * 6);
}

.col-xs-7 {
  -ms-flex-preferred-size: calc(100% / 12 * 7);
  flex-basis: calc(100% / 12 * 7);
  max-width: calc(100% / 12 * 7);
}

.col-xs-8 {
  -ms-flex-preferred-size: calc(100% / 12 * 8);
  flex-basis: calc(100% / 12 * 8);
  max-width: calc(100% / 12 * 8);
}

.col-xs-9 {
  -ms-flex-preferred-size: calc(100% / 12 * 9);
  flex-basis: calc(100% / 12 * 9);
  max-width: calc(100% / 12 * 9);
}

.col-xs-10 {
  -ms-flex-preferred-size: calc(100% / 12 * 10);
  flex-basis: calc(100% / 12 * 10);
  max-width: calc(100% / 12 * 10);
}

.col-xs-11 {
  -ms-flex-preferred-size: calc(100% / 12 * 11);
  flex-basis: calc(100% / 12 * 11);
  max-width: calc(100% / 12 * 11);
}

.col-xs-12 {
  -ms-flex-preferred-size: 100%;
  flex-basis: 100%;
  max-width: 100%;
}

.col-xs-offset-1 {
  margin-left: calc(100% / 12 * 1);
}

.col-xs-offset-2 {
  margin-left: calc(100% / 12 * 2);
}

.col-xs-offset-3 {
  margin-left: 25%;
}

.col-xs-offset-4 {
  margin-left: calc(100% / 12 * 4);
}

.col-xs-offset-5 {
  margin-left: calc(100% / 12 * 5);
}

.col-xs-offset-6 {
  margin-left: 50%;
}

.col-xs-offset-7 {
  margin-left: calc(100% / 12 * 7);
}

.col-xs-offset-8 {
  margin-left: calc(100% / 12 * 8);
}

.col-xs-offset-9 {
  margin-left: 75%;
}

.col-xs-offset-10 {
  margin-left: calc(100% / 12 * 10);
}

.col-xs-offset-11 {
  margin-left: calc(100% / 12 * 11);
}

.start-xs .r {
  -ms-flex-pack: start;
  -webkit-box-pack: start;
  justify-content: flex-start;
  text-align: start;
}

.center-xs .r {
  -ms-flex-pack: center;
  -webkit-box-pack: center;
  justify-content: center;
  text-align: center;
}

.end-xs .r {
  -ms-flex-pack: end;
  -webkit-box-pack: end;
  justify-content: flex-end;
  text-align: end;
}

.top-xs .r {
  -ms-flex-align: start;
  -webkit-box-align: start;
  align-items: flex-start;
}

.middle-xs.middleme,
.middle-xs .r, .r.middle-xs, .middle-xs {
  -ms-flex-align: center;
  -webkit-box-align: center;
  align-items: center;
}

.bottom-xs .r {
  -ms-flex-align: end;
  -webkit-box-align: end;
  align-items: flex-end;
}

.around-xs .r {
  -ms-flex-pack: distribute;
  justify-content: space-around;
}

.between-xs .r {
  -ms-flex-pack: justify;
  -webkit-box-pack: justify;
  justify-content: space-between;
}

.first-xs .r {
  -ms-flex-order: -1;
  -webkit-box-ordinal-group: 0;
  order: -1;
}

.last-xs .r {
  -ms-flex-order: 1;
  -webkit-box-ordinal-group: 2;
  order: 1;
}

@media only screen and (max-width: 768px) {
  .hide-xs { display: none !important; }
  .textright-xs { text-align: right; }
  .textcenter-xs { text-align: center; }
}

@media only screen and (min-width: 768px) {

  .textright-sm { text-align: right; }
  .textcenter-sm { text-align: center; }
  .textleft-sm { text-align: left; }
  .hide-sm { display: none; }
  .reverse-sm  { -ms-flex-direction: row-reverse; -webkit-box-orient: horizontal; -webkit-box-direction: reverse; flex-direction: row-reverse; }
  .padtop60-sm { padding-top: 60px; }
  .padbottom60-sm { padding-bottom: 60px; }
  .padtop120-sm { padding-top: 120px; }
  .padbottom120-sm { padding-bottom: 120px; }
  .padtop160-sm { padding-top: 160px; }
  .padbottom160-sm { padding-bottom: 160px; }

  .col-sm,
  .col-sm-1,
  .col-sm-2,
  .col-sm-3,
  .col-sm-4,
  .col-sm-5,
  .col-sm-6,
  .col-sm-7,
  .col-sm-8,
  .col-sm-9,
  .col-sm-10,
  .col-sm-11,
  .col-sm-12 {
    box-sizing: border-box;
    -ms-flex: 0 0 auto;
    -webkit-box-flex: 0;
    flex: 0 0 auto;
    padding-right: 20px;
    padding-left: 20px;
  }

  .col-sm {
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    -webkit-box-flex: 1;
    flex-grow: 1;
    -ms-flex-preferred-size: 0;
    flex-basis: 0;
    max-width: 100%;
  }

  .col-sm-1 {
    -ms-flex-preferred-size: calc(100% / 12 * 1);
    flex-basis: calc(100% / 12 * 1);
    max-width: calc(100% / 12 * 1);
  }

  .col-sm-2 {
    -ms-flex-preferred-size: calc(100% / 12 * 2);
    flex-basis: calc(100% / 12 * 2);
    max-width: calc(100% / 12 * 2);
  }

  .col-sm-3 {
    -ms-flex-preferred-size: 25%;
    flex-basis: 25%;
    max-width: 25%;
  }

  .col-sm-4 {
    -ms-flex-preferred-size: calc(100% / 12 * 4);
    flex-basis: calc(100% / 12 * 4);
    max-width: calc(100% / 12 * 4);
  }

  .col-sm-5 {
    -ms-flex-preferred-size: calc(100% / 12 * 5);
    flex-basis: calc(100% / 12 * 5);
    max-width: calc(100% / 12 * 5);
  }

  .col-sm-6 {
    -ms-flex-preferred-size: 50%;
    flex-basis: 50%;
    max-width: 50%;
  }

  .col-sm-7 {
    -ms-flex-preferred-size: calc(100% / 12 * 7);
    flex-basis: calc(100% / 12 * 7);
    max-width: calc(100% / 12 * 7);
  }

  .col-sm-8 {
    -ms-flex-preferred-size: calc(100% / 12 * 8);
    flex-basis: calc(100% / 12 * 8);
    max-width: calc(100% / 12 * 8);
  }

  .col-sm-9 {
    -ms-flex-preferred-size: 75%;
    flex-basis: 75%;
    max-width: 75%;
  }

  .col-sm-10 {
    -ms-flex-preferred-size: calc(100% / 12 * 10);
    flex-basis: calc(100% / 12 * 10);
    max-width: calc(100% / 12 * 10);
  }

  .col-sm-11 {
    -ms-flex-preferred-size: calc(100% / 12 * 11);
    flex-basis: calc(100% / 12 * 11);
    max-width: calc(100% / 12 * 11);
  }

  .col-sm-12 {
    -ms-flex-preferred-size: 100%;
    flex-basis: 100%;
    max-width: 100%;
  }

  .col-sm-offset-0 {
    margin-left: 0;
  }

  .col-sm-offset-1 {
    margin-left: calc(100% / 12 * 1);
  }

  .col-sm-offset-2 {
    margin-left: calc(100% / 12 * 2);
  }

  .col-sm-offset-3 {
    margin-left: 25%;
  }

  .col-sm-offset-4 {
    margin-left: calc(100% / 12 * 4);
  }

  .col-sm-offset-5 {
    margin-left: calc(100% / 12 * 5);
  }

  .col-sm-offset-6 {
    margin-left: 50%;
  }

  .col-sm-offset-7 {
    margin-left: calc(100% / 12 * 1);
  }

  .col-sm-offset-8 {
    margin-left: calc(100% / 12 * 8);
  }

  .col-sm-offset-9 {
    margin-left: 75%;
  }

  .col-sm-offset-10 {
    margin-left: calc(100% / 12 * 10);
  }

  .col-sm-offset-11 {
    margin-left: calc(100% / 12 * 11);
  }

  .start-sm  .r {
    -ms-flex-pack: start;
    -webkit-box-pack: start;
    justify-content: flex-start;
    text-align: start;
  }

  .center-sm .r, .r.center-sm {
    -ms-flex-pack: center;
    -webkit-box-pack: center;
    justify-content: center;
  }

  .end-sm .r, .end-sm .flex {
    -ms-flex-pack: end;
    -webkit-box-pack: end;
    justify-content: flex-end;
    /*text-align: end;*/
  }

  .top-sm {
    -ms-flex-align: start;
    -webkit-box-align: start;
    align-items: flex-start;
  }

  .middle-sm {
    -ms-flex-align: center;
    -webkit-box-align: center;
    align-items: center;
  }

  .bottom-sm {
    -ms-flex-align: end;
    -webkit-box-align: end;
    align-items: flex-end;
  }

  .around-sm {
    -ms-flex-pack: distribute;
    justify-content: space-around;
  }

  .between-sm .r {
    -ms-flex-pack: justify;
    -webkit-box-pack: justify;
    justify-content: space-between;
  }

  .first-sm .r {
    -ms-flex-order: -1;
    -webkit-box-ordinal-group: 0;
    order: -1;
  }

  .last-sm .r {
    -ms-flex-order: 1;
    -webkit-box-ordinal-group: 2;
    order: 1;
  }
}

@media only screen and (min-width: 992px) {

  .textright-md { text-align: right; }
  .textcenter-md { text-align: center; }
  .textleft-md { text-align: left; }
  .reverse-md { -ms-flex-direction: row-reverse; -webkit-box-orient: horizontal; -webkit-box-direction: reverse; flex-direction: row-reverse; }

  .col-md,
  .col-md-1,
  .col-md-2,
  .col-md-3,
  .col-md-4,
  .col-md-5,
  .col-md-6,
  .col-md-7,
  .col-md-8,
  .col-md-9,
  .col-md-10,
  .col-md-11,
  .col-md-12 {
    box-sizing: border-box;
    -ms-flex: 0 0 auto;
    -webkit-box-flex: 0;
    flex: 0 0 auto;
    padding-right: 20px;
    padding-left: 20px;
  }

  .col-md {
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    -webkit-box-flex: 1;
    flex-grow: 1;
    -ms-flex-preferred-size: 0;
    flex-basis: 0;
    max-width: 100%;
  }

  .col-md-1 {
    -ms-flex-preferred-size: calc(100% / 12 * 1);
    flex-basis: calc(100% / 12 * 1);
    max-width: calc(100% / 12 * 1);
  }

  .col-md-2 {
    -ms-flex-preferred-size: calc(100% / 12 * 2);
    flex-basis: calc(100% / 12 * 2);
    max-width: calc(100% / 12 * 2);
  }

  .col-md-3 {
    -ms-flex-preferred-size: 25%;
    flex-basis: 25%;
    max-width: 25%;
  }

  .col-md-4 {
    -ms-flex-preferred-size: calc(100% / 12 * 4);
    flex-basis: calc(100% / 12 * 4);
    max-width: calc(100% / 12 * 4);
  }

  .col-md-5 {
    -ms-flex-preferred-size: calc(100% / 12 * 5);
    flex-basis: calc(100% / 12 * 5);
    max-width: calc(100% / 12 * 5);
  }

  .col-md-6 {
    -ms-flex-preferred-size: 50%;
    flex-basis: 50%;
    max-width: 50%;
  }

  .col-md-7 {
    -ms-flex-preferred-size: calc(100% / 12 * 7);
    flex-basis: calc(100% / 12 * 7);
    max-width: calc(100% / 12 * 7);
  }

  .col-md-8 {
    -ms-flex-preferred-size: calc(100% / 12 * 8);
    flex-basis: calc(100% / 12 * 8);
    max-width: calc(100% / 12 * 8);
  }

  .col-md-9 {
    -ms-flex-preferred-size: 75%;
    flex-basis: 75%;
    max-width: 75%;
  }

  .col-md-10 {
    -ms-flex-preferred-size: calc(100% / 12 * 10);
    flex-basis: calc(100% / 12 * 10);
    max-width: calc(100% / 12 * 10);
  }

  .col-md-11 {
    -ms-flex-preferred-size: calc(100% / 12 * 11);
    flex-basis: calc(100% / 12 * 11);
    max-width: calc(100% / 12 * 11);
  }

  .col-md-12 {
    -ms-flex-preferred-size: 100%;
    flex-basis: 100%;
    max-width: 100%;
  }
   .col-md-offset-0 { margin-left:0}

  .col-md-offset-05 {
    margin-left: 4.5%;
  }

  .col-md-offset-1 {
    margin-left: calc(100% / 12 * 1);
  }

  .col-md-offset-1-5 {
    margin-left: 12.5%;
  }

  .col-md-offset-2 {
    margin-left: calc(100% / 12 * 2);
  }

  .col-md-offset-3 {
    margin-left: 25%;
  }

  .col-md-offset-4 {
    margin-left: calc(100% / 12 * 4);
  }

  .col-md-offset-5 {
    margin-left: calc(100% / 12 * 5);
  }

  .col-md-offset-6 {
    margin-left: 50%;
  }

  .col-md-offset-7 {
    margin-left: calc(100% / 12 * 1);
  }

  .col-md-offset-8 {
    margin-left: calc(100% / 12 * 8);
  }

  .col-md-offset-9 {
    margin-left: 75%;
  }

  .col-md-offset-10 {
    margin-left: calc(100% / 12 * 10);
  }

  .col-md-offset-11 {
    margin-left: calc(100% / 12 * 11);
  }

  .start-md .r {
    -ms-flex-pack: start;
    -webkit-box-pack: start;
    justify-content: flex-start;
    text-align: start;
  }

  .center-md .r {
    -ms-flex-pack: center;
    -webkit-box-pack: center;
    justify-content: center;
  }

  .end-md .r {
    -ms-flex-pack: end;
    -webkit-box-pack: end;
    justify-content: flex-end;
    text-align: end;
  }

  .top-md .r {
    -ms-flex-align: start;
    -webkit-box-align: start;
    align-items: flex-start;
  }
  
  .middle-md,
  .middle-md .r {
    -ms-flex-align: center;
    -webkit-box-align: center;
    align-items: center;
  }

  .bottom-md .r {
    -ms-flex-align: end;
    -webkit-box-align: end;
    align-items: flex-end;
  }

  .around-md .r {
    -ms-flex-pack: distribute;
    justify-content: space-around;
  }

  .between-md .r {
    -ms-flex-pack: justify;
    -webkit-box-pack: justify;
    justify-content: space-between;
  }

  .first-md .r {
    -ms-flex-order: -1;
    -webkit-box-ordinal-group: 0;
    order: -1;
  }

  .last-md .r {
    -ms-flex-order: 1;
    -webkit-box-ordinal-group: 2;
    order: 1;
  }
}

@media only screen and (min-width: 1200px) {

  .textright-lg { text-align: right; }
  .textcenter-lg { text-align: center; }
  .textleft-lg { text-align: left; }

  .col-lg,
  .col-lg-1,
  .col-lg-2,
  .col-lg-3,
  .col-lg-4,
  .col-lg-5,
  .col-lg-6,
  .col-lg-7,
  .col-lg-8,
  .col-lg-9,
  .col-lg-10,
  .col-lg-11,
  .col-lg-12 {
    box-sizing: border-box;
    -ms-flex: 0 0 auto;
    -webkit-box-flex: 0;
    flex: 0 0 auto;
    padding-right: 20px;
    padding-left: 20px;
  }

  .col-lg {
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    -webkit-box-flex: 1;
    flex-grow: 1;
    -ms-flex-preferred-size: 0;
    flex-basis: 0;
    max-width: 100%;
  }

  .col-lg-1 {
    -ms-flex-preferred-size: calc(100% / 12 * 1);
    flex-basis: calc(100% / 12 * 1);
    max-width: calc(100% / 12 * 1);
  }

  .col-lg-2 {
    -ms-flex-preferred-size: calc(100% / 12 * 2);
    flex-basis: calc(100% / 12 * 2);
    max-width: calc(100% / 12 * 2);
  }

  .col-lg-3 {
    -ms-flex-preferred-size: 25%;
    flex-basis: 25%;
    max-width: 25%;
  }

  .col-lg-4 {
    -ms-flex-preferred-size: calc(100% / 12 * 4);
    flex-basis: calc(100% / 12 * 4);
    max-width: calc(100% / 12 * 4);
  }

  .col-lg-5 {
    -ms-flex-preferred-size: calc(100% / 12 * 5);
    flex-basis: calc(100% / 12 * 5);
    max-width: calc(100% / 12 * 5);
  }

  .col-lg-6 {
    -ms-flex-preferred-size: 50%;
    flex-basis: 50%;
    max-width: 50%;
  }

  .col-lg-7 {
    -ms-flex-preferred-size: calc(100% / 12 * 7);
    flex-basis: calc(100% / 12 * 7);
    max-width: calc(100% / 12 * 7);
  }

  .col-lg-8 {
    -ms-flex-preferred-size: calc(100% / 12 * 8);
    flex-basis: calc(100% / 12 * 8);
    max-width: calc(100% / 12 * 8);
  }

  .col-lg-9 {
    -ms-flex-preferred-size: 75%;
    flex-basis: 75%;
    max-width: 75%;
  }

  .col-lg-10 {
    -ms-flex-preferred-size: calc(100% / 12 * 10);
    flex-basis: calc(100% / 12 * 10);
    max-width: calc(100% / 12 * 10);
  }

  .col-lg-11 {
    -ms-flex-preferred-size: calc(100% / 12 * 11);
    flex-basis: calc(100% / 12 * 11);
    max-width: calc(100% / 12 * 11);
  }

  .col-lg-12 {
    -ms-flex-preferred-size: 100%;
    flex-basis: 100%;
    max-width: 100%;
  }

  .col-lg-offset-1 {
    margin-left: calc(100% / 12 * 1);
  }

  .col-lg-offset-2 {
    margin-left: calc(100% / 12 * 2);
  }

  .col-lg-offset-3 {
    margin-left: 25%;
  }

  .col-lg-offset-4 {
    margin-left: calc(100% / 12 * 4);
  }

  .col-lg-offset-5 {
    margin-left: calc(100% / 12 * 5);
  }

  .col-lg-offset-6 {
    margin-left: 50%;
  }

  .col-lg-offset-7 {
    margin-left: calc(100% / 12 * 7);
  }

  .col-lg-offset-8 {
    margin-left: calc(100% / 12 * 8);
  }

  .col-lg-offset-9 {
    margin-left: 75%;
  }

  .col-lg-offset-10 {
    margin-left: calc(100% / 12 * 10);
  }

  .col-lg-offset-11 {
    margin-left: calc(100% / 12 * 11);
  }

  .start-lg .r {
    -ms-flex-pack: start;
    -webkit-box-pack: start;
    justify-content: flex-start;
    text-align: start;
  }

  .center-lg .r {
    -ms-flex-pack: center;
    -webkit-box-pack: center;
    justify-content: center;
  }

  .end-lg .r {
    -ms-flex-pack: end;
    -webkit-box-pack: end;
    justify-content: flex-end;
    text-align: end;
  }

  .top-lg .r {
    -ms-flex-align: start;
    -webkit-box-align: start;
    align-items: flex-start;
  }

  .middle-lg .r {
    -ms-flex-align: center;
    -webkit-box-align: center;
    align-items: center;
  }

  .bottom-lg .r {
    -ms-flex-align: end;
    -webkit-box-align: end;
    align-items: flex-end;
  }

  .around-lg .r {
    -ms-flex-pack: distribute;
    justify-content: space-around;
  }

  .between-lg .r {
    -ms-flex-pack: justify;
    -webkit-box-pack: justify;
    justify-content: space-between;
  }

  .first-lg .r {
    -ms-flex-order: -1;
    -webkit-box-ordinal-group: 0;
    order: -1;
  }

  .last-lg .r {
    -ms-flex-order: 1;
    -webkit-box-ordinal-group: 2;
    order: 1;
  }
}

